package za.co.tcg.android_location_example

import io.flutter.app.FlutterApplication
import io.flutter.embedding.engine.FlutterEngine
import io.flutter.plugin.common.PluginRegistry
import io.flutter.plugins.GeneratedPluginRegistrant
import za.co.tcg.android_location.LocationService

class Application : FlutterApplication(), PluginRegistry.PluginRegistrantCallback {

    override fun onCreate() {
        super.onCreate()
        LocationService.setPluginRegistrant(this)
    }

    override fun registerWith(registry: PluginRegistry) {
        (registry as? FlutterEngine)?.let {
            GeneratedPluginRegistrant.registerWith(it)
        }
    }
}